# Generated by Django 5.0.1 on 2024-03-01 17:44

import django.db.models.deletion
import django.utils.timezone
import wagtail.blocks
import wagtail.contrib.routable_page.models
import wagtail.contrib.typed_table_block.blocks
import wagtail.embeds.blocks
import wagtail.fields
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models

import website.contrib.code_block.blocks


class Migration(migrations.Migration):
    initial = True

    dependencies = [
        ("images", "0002_alter_customimage_file_alter_customrendition_file"),
        ("unsplash", "0001_initial"),
        ("wagtailcore", "0089_log_entry_data_json_null_to_object"),
    ]

    operations = [
        migrations.CreateModel(
            name="TalkPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("subtitle", wagtail.fields.RichTextField(blank=True)),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [
                            ("embed", wagtail.embeds.blocks.EmbedBlock()),
                            ("rich_text", wagtail.blocks.RichTextBlock()),
                            (
                                "lorem",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "paragraphs",
                                            wagtail.blocks.IntegerBlock(min_value=1),
                                        )
                                    ]
                                ),
                            ),
                            ("html", wagtail.blocks.RawHTMLBlock()),
                            (
                                "image",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(),
                                        ),
                                        (
                                            "caption",
                                            wagtail.blocks.RichTextBlock(
                                                editor="plain", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "code",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "filename",
                                            wagtail.blocks.CharBlock(
                                                max_length=128, required=False
                                            ),
                                        ),
                                        (
                                            "language",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=website.contrib.code_block.blocks.get_language_choices
                                            ),
                                        ),
                                        ("source", wagtail.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "tangent",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.blocks.CharBlock(max_length=64),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.RichTextBlock(
                                                editor="simple"
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "mermaid",
                                wagtail.blocks.StructBlock(
                                    [
                                        ("source", wagtail.blocks.TextBlock()),
                                        (
                                            "caption",
                                            wagtail.blocks.RichTextBlock(
                                                editor="plain", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "table",
                                wagtail.contrib.typed_table_block.blocks.TypedTableBlock(
                                    [
                                        (
                                            "rich_text",
                                            wagtail.blocks.RichTextBlock(
                                                editor="plain"
                                            ),
                                        ),
                                        ("numeric", wagtail.blocks.FloatBlock()),
                                        ("text", wagtail.blocks.CharBlock()),
                                    ]
                                ),
                            ),
                            (
                                "iframe",
                                wagtail.blocks.StructBlock(
                                    [
                                        ("url", wagtail.blocks.URLBlock()),
                                        (
                                            "caption",
                                            wagtail.blocks.RichTextBlock(
                                                editor="plain", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        use_json_field=True,
                    ),
                ),
                ("date", models.DateField(default=django.utils.timezone.now)),
                ("duration", models.DurationField()),
                ("slides_url", models.URLField(blank=True)),
                ("video_url", models.URLField(blank=True)),
                ("location_name", models.CharField(blank=True, max_length=64)),
                ("location_url", models.URLField(blank=True)),
                (
                    "hero_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="images.customimage",
                    ),
                ),
                (
                    "hero_unsplash_photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="unsplash.unsplashphoto",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("wagtailcore.page", wagtailmetadata.models.MetadataMixin),
        ),
        migrations.CreateModel(
            name="TalksListPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "body",
                    wagtail.fields.StreamField(
                        [
                            ("embed", wagtail.embeds.blocks.EmbedBlock()),
                            ("rich_text", wagtail.blocks.RichTextBlock()),
                            (
                                "lorem",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "paragraphs",
                                            wagtail.blocks.IntegerBlock(min_value=1),
                                        )
                                    ]
                                ),
                            ),
                            ("html", wagtail.blocks.RawHTMLBlock()),
                            (
                                "image",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "image",
                                            wagtail.images.blocks.ImageChooserBlock(),
                                        ),
                                        (
                                            "caption",
                                            wagtail.blocks.RichTextBlock(
                                                editor="plain", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "code",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "filename",
                                            wagtail.blocks.CharBlock(
                                                max_length=128, required=False
                                            ),
                                        ),
                                        (
                                            "language",
                                            wagtail.blocks.ChoiceBlock(
                                                choices=website.contrib.code_block.blocks.get_language_choices
                                            ),
                                        ),
                                        ("source", wagtail.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "tangent",
                                wagtail.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.blocks.CharBlock(max_length=64),
                                        ),
                                        (
                                            "content",
                                            wagtail.blocks.RichTextBlock(
                                                editor="simple"
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "mermaid",
                                wagtail.blocks.StructBlock(
                                    [
                                        ("source", wagtail.blocks.TextBlock()),
                                        (
                                            "caption",
                                            wagtail.blocks.RichTextBlock(
                                                editor="plain", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "table",
                                wagtail.contrib.typed_table_block.blocks.TypedTableBlock(
                                    [
                                        (
                                            "rich_text",
                                            wagtail.blocks.RichTextBlock(
                                                editor="plain"
                                            ),
                                        ),
                                        ("numeric", wagtail.blocks.FloatBlock()),
                                        ("text", wagtail.blocks.CharBlock()),
                                    ]
                                ),
                            ),
                            (
                                "iframe",
                                wagtail.blocks.StructBlock(
                                    [
                                        ("url", wagtail.blocks.URLBlock()),
                                        (
                                            "caption",
                                            wagtail.blocks.RichTextBlock(
                                                editor="plain", required=False
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                        use_json_field=True,
                    ),
                ),
                (
                    "hero_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="images.customimage",
                    ),
                ),
                (
                    "hero_unsplash_photo",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        to="unsplash.unsplashphoto",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=(
                wagtail.contrib.routable_page.models.RoutablePageMixin,
                "wagtailcore.page",
                wagtailmetadata.models.MetadataMixin,
            ),
        ),
    ]
